Go to the first, previous, next, last section, table of contents.

### `randpoly_ff`

`randpoly_ff(d,v)`
  :: Generation of a random univariate polynomial over a finite field.

return
  polynomial
d
  positive integer
v
  indeterminate

- Defined in ``fff'`.
- Generates a polynomial of v such that the degree is less than d and the coefficients are in the current base field. The coefficients are generated by `random_ff()`.

    [178] setmod_ff(2^64-95);
    18446744073709551521
    [179] ] F=x^10+random_ff();
    [180] randpoly_ff(3,x);
    17135261454578964298*x^2+4766826699653615429*x+18317369440429479651
    [181] randpoly_ff(3,x);
    7565988813172050604*x^2+7430075767279665339*x+4699662986224873544
    [182] randpoly_ff(3,x);
    10247781277095450395*x^2+10243690944992524936*x+4063829049268845492

`References`
  section `setmod_ff`, section `random_ff`

Go to the first, previous, next, last section, table of contents.